<app-loading *ngIf="isLoadingPage"></app-loading>

<div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" nzLg="24">
        <mb-input-text [(ngModel)]="objectSearch.orgName" [isFocus]='true' [mbShowFlexEnd]="false"  mbType="default"
                       [defaultInput]="true"
                       mbLabelText="{{'modelOrganization.table.unit' | translate}}">
        </mb-input-text>
    </div>
    <div nz-col nzXs="12" nzLg="12">
        <mb-input-text [(ngModel)]="objectSearch.jobName" [mbShowFlexEnd]="false" mbLabelText="Job">
        </mb-input-text>
    </div>
    <div nz-col nzXs="12" nzLg="12">
        <mb-input-text [mbShowFlexEnd]="false" [(ngModel)]="objectSearch.orgaValue" mbLabelText="{{'modelOrganization.table.function' | translate}}">
        </mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="24" class="custom-button">
        <mb-button mbButtonAvailableStyle="CUSTOM" mbButtonText="Tìm kiếm" (click)="searchPositon()"></mb-button>
    </div>
    <div nz-col nzXs="24" nzLg="24" class="ant-table-content">
        <nz-table #basicTable [nzFrontPagination]="false" [nzData]="listData"
            [nzScroll]="listData?.length > 0 ? { x: '390px', y: '30em' } : {}" [nzShowPagination]="false"
            nzTableLayout="fixed" [nzPageSize]="listSettingPaginationCustom.size">
            <thead>
                <tr>
                    <th scope="col" nzWidth='3em'>{{'modelOrganization.table.unitName' | translate}}</th>
                    <th scope="col" nzWidth='3em'>Job</th>
                    <th scope="col" nzWidth='3em'>{{'modelOrganization.table.function' | translate}}</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let data of basicTable.data; let i = index" (click)="chooseOrg(data)">
                    <td nz-tooltip [nzTooltipTitle]="data.fullName">
                        <div class="custom-text">
                            {{ data.fullName }}
                        </div>

                    </td>
                    <td nz-tooltip [nzTooltipTitle]="data.jobName">
                        <div class="custom-text">
                            {{ data.jobName }}
                        </div>
                    </td>
                    <td nz-tooltip [nzTooltipTitle]="data.orgaValue">
                        <div class="custom-text">
                            {{ data.orgaValue }}
                        </div>
                    </td>
                </tr>

            </tbody>
        </nz-table>


    </div>
    <div nz-col nzXs="24" nzLg="24" class="custom-pagination">
        <nz-pagination class="pagination__icon" [nzPageIndex]="listSettingPaginationCustom.pageIndex + 1"
            (nzPageIndexChange)="getListTemplateBasePagination($event)" [nzTotal]="listSettingPaginationCustom.total"
            [nzPageSize]="listSettingPaginationCustom.size"></nz-pagination>
    </div>

</div>
